{
  "name": "digital-clone-fe-login",
  "version": "6.2.1",
  "buildNumber": "1",
  "scripts": {
    "ng": "ng",
    "start": "npm run start:spa",
    "start:spa": "npm run font:local && node --max-old-space-size=4096 node_modules/@angular/cli/bin/ng serve --project digital-clone-fe-login --configuration production",
    "build": "npm run font:build && npm run timeoutBuild && npm run replaceKendoCss",
    "timeoutBuild": "sh bash.sh",
    "ngbuild": "node --max-old-space-size=4096 node_modules/@angular/cli/bin/ng build --project digital-clone-fe-login --configuration production",
    "minify": "node --max-old-space-size=4096 node_modules/gulp/bin/gulp minifyBuild -m -c",
    "getLatestSubmodules:dev": "git submodule foreach git pull origin develop --allow-unrelated-histories",
    "getLatestSubmodules:test": "git submodule foreach git pull origin test --allow-unrelated-histories",
    "getLatestSubmodules:stage": "git submodule foreach git pull origin stage --allow-unrelated-histories",
    "getLatestSubmodules:edu": "git submodule foreach git pull origin education --allow-unrelated-histories",
    "getLatestSubmodules:main": "git submodule foreach git pull origin main --allow-unrelated-histories",
    "getLatestSubmodules:open": "git submodule foreach git pull origin open --allow-unrelated-histories",
    "checkout:dev": "git checkout develop && git submodule foreach git checkout ng17",
    "checkout:test": "git checkout test && git submodule foreach git checkout test",
    "checkout:stage": "git checkout stage && git submodule foreach git checkout stage",
    "checkout:edu": "git checkout education && git submodule foreach git checkout education",
    "checkout:main": "git checkout main && git submodule foreach git checkout main",
    "checkout:open": "git checkout open && git submodule foreach git checkout open",
    "font:local": "gulp copyFontLocal",
    "font:build": "gulp copyFontBuild",
    "replaceKendoCss": "gulp replaceKendoCss",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "browser": {
    "image-size": false
  },
  "dependencies": {
    "@angular/animations": "17.3.11",
    "@angular/cdk": "17.3.10",
    "@angular/common": "17.3.11",
    "@angular/compiler": "17.3.11",
    "@angular/core": "17.3.11",
    "@angular/forms": "17.3.11",
    "@angular/localize": "17.3.11",
    "@angular/material": "17.3.10",
    "@angular/platform-browser": "17.3.11",
    "@angular/platform-browser-dynamic": "17.3.11",
    "@angular/router": "17.3.11",
    "@ng-idle/core": "14.0.0",
    "@ng-idle/keepalive": "14.0.0",
    "@ngneat/content-loader": "7.0.0",
    "@ngrx/effects": "17.2.0",
    "@ngrx/store": "17.2.0",
    "@ngrx/store-devtools": "17.2.0",
    "@ngx-translate/core": "14.0.0",
    "@progress/kendo-angular-buttons": "16.2.0",
    "@progress/kendo-angular-charts": "16.2.0",
    "@progress/kendo-angular-common": "16.2.0",
    "@progress/kendo-angular-dateinputs": "16.2.0",
    "@progress/kendo-angular-dialog": "16.2.0",
    "@progress/kendo-angular-dropdowns": "16.2.0",
    "@progress/kendo-angular-excel-export": "16.2.0",
    "@progress/kendo-angular-grid": "16.2.0",
    "@progress/kendo-angular-icons": "16.2.0",
    "@progress/kendo-angular-inputs": "16.2.0",
    "@progress/kendo-angular-intl": "16.2.0",
    "@progress/kendo-angular-l10n": "16.2.0",
    "@progress/kendo-angular-label": "16.2.0",
    "@progress/kendo-angular-layout": "16.2.0",
    "@progress/kendo-angular-navigation": "16.2.0",
    "@progress/kendo-angular-notification": "16.2.0",
    "@progress/kendo-angular-pdf-export": "16.2.0",
    "@progress/kendo-angular-popup": "16.2.0",
    "@progress/kendo-angular-progressbar": "16.2.0",
    "@progress/kendo-angular-ripple": "16.2.0",
    "@progress/kendo-angular-scrollview": "16.2.0",
    "@progress/kendo-angular-sortable": "16.2.0",
    "@progress/kendo-angular-treeview": "16.2.0",
    "@progress/kendo-angular-upload": "16.2.0",
    "@progress/kendo-angular-utils": "16.2.0",
    "@progress/kendo-data-query": "1.5.5",
    "@progress/kendo-drawing": "1.19.0",
    "@progress/kendo-font-icons": "2.1.0",
    "@progress/kendo-licensing": "1.2.1",
    "@progress/kendo-theme-default": "8.0.1",
    "@progress/kendo-theme-material": "8.0.1",
    "@types/file-saver": "2.0.2",
    "angular-mentions": "1.5.0",
    "angular-plotly.js": "5.2.2",
    "angular7-csv": "0.2.12",
    "bootstrap": "4.6.0",
    "core-js": "3.12.1",
    "file-saver": "2.0.5",
    "linspace-generator": "0.2.0",
    "lodash": "4.17.15",
    "lottie-web": "5.9.6",
    "material-icons": "1.10.7",
    "mathjs": "7.6.0",
    "moment": "2.29.4",
    "moment-timezone": "0.5.33",
    "ngrx-store-localstorage": "17.0.0",
    "ngx-clipboard": "16.0.0",
    "ngx-device-detector": "7.0.0",
    "ngx-lottie": "11.0.2",
    "ngx-moment": "3.5.0",
    "ngx-permissions": "17.1.0",
    "ngx-pipes": "3.2.2",
    "ngx-translate-multi-http-loader": "3.0.0",
    "plotly.js": "1.58.4",
    "quill": "1.3.7",
    "rxjs": "^7.4.0",
    "rxjs-compat": "6.5.5",
    "single-spa": "6.0.0",
    "single-spa-angular": "9.1.2",
    "tslib": "2.6.2",
    "underscore": "1.13.1",
    "zone.js": "~0.14.7"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "17.0.2",
    "@angular-devkit/build-angular": "17.3.8",
    "@angular-devkit/core": "17.3.8",
    "@angular-devkit/schematics": "17.3.8",
    "@angular/cli": "17.3.8",
    "@angular/compiler-cli": "17.3.11",
    "@angular/language-service": "17.3.11",
    "@ngrx/schematics": "17.2.0",
    "@schematics/angular": "17.3.8",
    "@types/google.analytics": "0.0.40",
    "@types/jasmine": "3.6.11",
    "@types/jasminewd2": "2.0.8",
    "@types/jest": "25.1.4",
    "@types/moment": "2.13.0",
    "@types/node": "14.17.0",
    "babel-plugin-remove-use-strict": "1.0.1",
    "codelyzer": "6.0.2",
    "cypress": "13.6.6",
    "gulp": "4.0.2",
    "gulp-exec": "^5.0.0",
    "gulp-json-editor": "2.5.4",
    "gulp-rename": "^2.0.0",
    "gulp-replace": "^1.1.4",
    "gulp-terser": "2.1.0",
    "jasmine-core": "3.6.0",
    "jasmine-spec-reporter": "5.0.2",
    "jest": "29.7.0",
    "jest-preset-angular": "14.0.3",
    "karma": "6.3.4",
    "karma-chrome-launcher": "3.1.0",
    "karma-coverage-istanbul-reporter": "3.0.2",
    "karma-jasmine": "4.0.1",
    "karma-jasmine-html-reporter": "1.5.4",
    "ng-packagr": "17.3.0",
    "prettier": "2.0.4",
    "protractor": "7.0.0",
    "sass": "^1.71.1",
    "sass-loader": "^14.1.1",
    "spawn-rx": "^3.0.0",
    "style-loader": "3.3.4",
    "terser-webpack-plugin": "3.0.6",
    "ts-jest": "29.1.2",
    "ts-node": "8.10.1",
    "tslint": "6.1.2",
    "typescript": "5.2.2",
    "webpack-bundle-analyzer": "^4.10.1",
    "webpack-merge": "4.2.1"
  }
}
